Name:		qdigidoc4
Version:	4.2.0
Release:	%mkrel 2
Summary:	Estonian digital signature application

Group:		Office/Utilities
License:	LGPLv2
URL:		https://github.com/open-eid/DigiDoc4-Client
Source0:	https://github.com/open-eid/DigiDoc4-Client/releases/download/v%{version}/%{name}-%{version}.tar.gz
# https://ec.europa.eu/information_society/policy/esignature/trusted-list/tl-mp.xml
Source1:	tl-mp.xml
# https://sr.riik.ee/tsl/estonian-tsl.xml
Source2:	EE.xml
Source3:	TSL.qrc
# https://id.eesti.ee/config.json
Source4:	config.json
# https://id.eesti.ee/config.rsa
Source5:	config.rsa
# https://id.eesti.ee/config.pub
Source6:	config.pub

# https://github.com/open-eid/qdigidoc/wiki/DeveloperTips#building-in-sandboxed-environment
Patch0:		qdigidoc4-build-offline.patch
#Patch1:		qdigidoc4_4.0.0-fix-build-with-qt5.11.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(libdigidocpp)
BuildRequires:	qt5-devel
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(libpcsclite)

Requires:	opensc
Requires:	ccid
Requires:	pcsc-lite
# fix mga#11352
Requires:	locales-et

Conflicts:	qdigidoc

%description
QDigiDoc is an application for digitally signing and encrypting documents in
BDoc, DDoc, and CDoc container formats. These file formats are widespread in
Estonia where they are used for storing legally binding digital signatures.


%package	nautilus
Summary:	Nautilus extension for %{name}
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus-python
Requires:	python-gi

Conflicts:	qdigidoc-nautilus

%description	nautilus
The %{name}-nautilus package contains the %{name} extension for the
nautilus file manager.


%prep
%autosetup -p1

cp %{SOURCE1} client
cp %{SOURCE2} client
cp %{SOURCE3} client
cp %{SOURCE4} common
cp %{SOURCE5} common
cp %{SOURCE6} common


%build
# Fix linking
LDFLAGS="-Wl,--copy-dt-needed-entries"
export LDFLAGS
%cmake -DSERVICES_INSTALL_DIR=%{_datadir}/kservices5

%make_build


%install
%make_install -C build

%find_lang nautilus-qdigidoc


%files
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/kservices5/*.desktop
%{_mandir}/man1/qdigidoc4.1.*

%files nautilus -f nautilus-qdigidoc.lang
%{_datadir}/nautilus-python/extensions/*


%changelog
* Fri Jan 04 2019 sander85 <sander85> 4.2.0-2.mga7
+ Revision: 1349203
- Update config.json

* Fri Jan 04 2019 sander85 <sander85> 4.2.0-1.mga7
+ Revision: 1349180
- New version: 4.2.0

* Thu Nov 15 2018 sander85 <sander85> 4.1.0-1.mga7
+ Revision: 1330049
- New version: 4.1.0

* Sun Sep 23 2018 umeabot <umeabot> 4.0.0-2.mga7
+ Revision: 1300641
- Mageia 7 Mass Rebuild

* Fri Jun 29 2018 sander85 <sander85> 4.0.0-1.mga7
+ Revision: 1240820
- imported package qdigidoc4

